Warning: preg_match(): Compilation failed: group name must start with a non-digit at offset 8 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 722

Warning: preg_match(): Compilation failed: group name must start with a non-digit at offset 8 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 722

Warning: preg_match_all(): Compilation failed: group name must start with a non-digit at offset 4 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 700

Warning: Invalid argument supplied for foreach() in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 701

Warning: preg_replace(): Compilation failed: group name must start with a non-digit at offset 4 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 705

Warning: preg_match_all(): Compilation failed: group name must start with a non-digit at offset 4 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 700

Warning: Invalid argument supplied for foreach() in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 701

Warning: preg_replace(): Compilation failed: group name must start with a non-digit at offset 4 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 705

Warning: preg_match_all(): Compilation failed: group name must start with a non-digit at offset 4 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 700

Warning: Invalid argument supplied for foreach() in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 701

Warning: preg_replace(): Compilation failed: group name must start with a non-digit at offset 4 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 705

Warning: preg_match_all(): Compilation failed: group name must start with a non-digit at offset 4 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 700

Warning: Invalid argument supplied for foreach() in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 701

Warning: preg_replace(): Compilation failed: group name must start with a non-digit at offset 4 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 705

Warning: preg_match(): Compilation failed: group name must start with a non-digit at offset 8 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 722

Warning: preg_match(): Compilation failed: group name must start with a non-digit at offset 8 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 722

Warning: preg_match(): Compilation failed: group name must start with a non-digit at offset 8 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 722

Warning: preg_match(): Compilation failed: group name must start with a non-digit at offset 8 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 722

Warning: preg_match(): Compilation failed: group name must start with a non-digit at offset 8 in /home/project-web/playerstage/htdocs/wiki/includes/MagicWord.php on line 722
Basic FAQ - The Player Project

Basic FAQ

From The Player Project

Jump to: navigation, search
(How can I get high data rates from my SICK LMS laser rangefinder?)
(How do I build from CVS?)
Line 268: Line 268:
Since we're using the GNU Autotools, it's a little different to build from CVS instead of from a distribution. First, you need autoconf and automake installed. They are already installed on any reasonable UNIX-like machine, but you might need to upgrade them; you can download both packages from any GNU mirror. We're currently using:
Since we're using the GNU Autotools, it's a little different to build from CVS instead of from a distribution. First, you need autoconf and automake installed. They are already installed on any reasonable UNIX-like machine, but you might need to upgrade them; you can download both packages from any GNU mirror. We're currently using:
* autoconf 2.53
* autoconf 2.53
-
* automake 1.6
+
* automake 1.9
   
   
Newer versions will probably work, but older ones probably won't. If you do use newer versions, keep in mind that you should not use any macros that aren't available in the versions listed above, because that will likely break the build for other developers.
Newer versions will probably work, but older ones probably won't. If you do use newer versions, keep in mind that you should not use any macros that aren't available in the versions listed above, because that will likely break the build for other developers.

Revision as of 22:25, 14 November 2006

Personal tools